Dawid Kozakiewicz

How edit extrusion with API?

Discussion created by Dawid Kozakiewicz on Nov 2, 2020
Latest reply on Nov 2, 2020 by Josh Brady

Hello, I'm having trouble editing an extrude. I want to change the extrude depth at the end of the code.

swDoc.FeatureManager.FeatureExtrusion2 True, False, False, 0, 0, 0.35, 0.01, False, False, False, False, 1.74532925199433E-02, 1.74532925199433E-02, False, False, False, False, True, True, True, 0, 0, False


swDoc.SelectionManager.EnableContourSelection = False


swDoc.SketchManager.InsertSketch True

.

.

.

.

CODE

.

.

.

swDoc.Extension.SelectByID2 "Extrusion1", "BODYFEATURE", 0, 0, 0, False, 0, Nothing, 0


swDoc.FeatEditDef

 

How to edit the extrusion depth definition with "FeatEditDef", I want change for example 0.35 to 0.4 etc. 

Sorry for my english. Thanks a lot . 

Outcomes